<?php

namespace App\Dto;

use App\Entity\Snip;

class SnipPostRequest
{
    public function __construct(
        public ?string $name = null,
        public ?string $content = null,
        public ?bool   $public = null,
        public ?bool   $visible = null,
        public ?string $contentName = null,
    ) {}

    public function pushToSnip(Snip $snip): void
    {
        if ($this->name !== null) {
            $snip->name = $this->name;
        }
        if ($this->public !== null) {
            $snip->public = $this->public;
        }
        if ($this->visible !== null) {
            $snip->visible = $this->visible;
        }
    }
}
